package com.prolog.cs.biz.outbound.model.vo;

import com.prolog.cs.biz.outbound.model.entity.BarcodeHDO;
import com.prolog.framework.core.annotation.Column;

import io.swagger.annotations.ApiModelProperty;

public class LcLSecondVO extends BarcodeHDO {
    @ApiModelProperty(value = "波次ID")
    @Column(value = "wave_id")
    private String waveId;

    @ApiModelProperty(value = "货主ID")
    @Column(value = "consignor_id")
    private String consignorId;

    @ApiModelProperty(value = "收货联系人")
    @Column(value = "contact_name")
    private String contactName;

    @ApiModelProperty(value = "收货联系人电话")
    @Column(value = "contact_tel")
    private String contactTel;

    @ApiModelProperty(value = "收货地址")
    @Column(value = "receive_address")
    private String receiveAddress;

    @ApiModelProperty(value = "收货地址")
    @Column(value = "sale_branch_name")
    private String saleBranchName;

    @ApiModelProperty(value = "账期类型")
    @Column(value = "payment_day_type")
    private String paymentDayType;

    @ApiModelProperty(value = "订单编码")
    private String billCode;

    @ApiModelProperty(value = "收货单位(客户)编码")
    @Column(value = "shipper_code")
    private String shipperCode;

    @ApiModelProperty(value = "收货单位(客户)名称")
    @Column(value = "shipper_name")
    private String shipperName;

    public String getShipperCode() {
        return shipperCode;
    }

    public void setShipperCode(String shipperCode) {
        this.shipperCode = shipperCode;
    }

    public String getShipperName() {
        return shipperName;
    }

    public void setShipperName(String shipperName) {
        this.shipperName = shipperName;
    }

    public String getBillCode() {
        return billCode;
    }

    public void setBillCode(String billCode) {
        this.billCode = billCode;
    }

    public String getWaveId() {
        return waveId;
    }

    public void setWaveId(String waveId) {
        this.waveId = waveId;
    }

    public String getConsignorId() {
        return consignorId;
    }

    public void setConsignorId(String consignorId) {
        this.consignorId = consignorId;
    }

    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getContactTel() {
        return contactTel;
    }

    public void setContactTel(String contactTel) {
        this.contactTel = contactTel;
    }

    public String getReceiveAddress() {
        return receiveAddress;
    }

    public void setReceiveAddress(String receiveAddress) {
        this.receiveAddress = receiveAddress;
    }

    public String getSaleBranchName() {
        return saleBranchName;
    }

    public void setSaleBranchName(String saleBranchName) {
        this.saleBranchName = saleBranchName;
    }

    public String getPaymentDayType() {
        return paymentDayType;
    }

    public void setPaymentDayType(String paymentDayType) {
        this.paymentDayType = paymentDayType;
    }
}
